<?php
/**
 * @file
 * Default XML Schema template for Order FTP Export.
 *
 * Available variables:
 * - $order: the commerce order object.
 * - $line_items: array of commerce line item objects indexed by line_item_id.
 * - $products: array of commerce products objects indexed by product_id.
 * - $profiles: array of commerce profile objects indexed by profile_id.
 * - $user: user object (who placed the order).
 */
?>
<?php echo '<?xml version="1.0" encoding="utf-8" ?>' . PHP_EOL; ?>
<PurchaseOrder>
  <OrderID><?php print $order->order_id; ?></OrderID>
  <OrderNumber><?php print $order->order_number; ?></OrderNumber>
  <OrderDate><?php print date("m/d/Y", $order->revision_timestamp); ?></OrderDate>
  <OrderTime><?php print date("h:i:s", $order->revision_timestamp); ?></OrderTime>
  <OrderTotal><?php print $order->commerce_order_total[LANGUAGE_NONE][0]['amount'] ; ?></OrderTotal>
  <?php $billing_id = $order->commerce_customer_billing['und'][0]['profile_id'];
        $billing_address = $profiles[$billing_id]->commerce_customer_address['und'][0];

        // if the shipping module is enabled
        //$shipping_id = $order->commerce_customer_shipping['und'][0]['profile_id'];
        //$shipping_address = $profiles[$shipping_id]->commerce_customer_address['und'][0];
    ?>
  <BillToAddress>
    <AddressID><?php print $billing_id; ?></AddressID>
    <Name><?php print $billing_address['name_line']; ?></Name>
    <Line1><?php print $billing_address['thoroughfare']; ?></Line1>
    <Line2><?php print $billing_address['premise']; ?></Line2>
    <City><?php print $billing_address['locality']; ?></City>
    <StateProvinceCode><?php print $billing_address['administrative_area']; ?></StateProvinceCode>
    <PostalCode><?php print $billing_address['postal_code']; ?></PostalCode>
    <CountryCode><?php print $billing_address['country']; ?></CountryCode>
    <Email><?php print $user->mail; ?></Email>
  </BillToAddress>
  <?php  /* if the shipping module is enabled * ?>
   <ShipToAddress>
  	<ShipAddressId><?php print $shipping_id; ?></ShipAddressId>
  	<ShipName><?php print $shipping_address['name_line']; ?></ShipName>
  	<ShipLine1><?php print $shipping_address['thoroughfare']; ?></ShipLine1>
  	<ShipLine2><?php print $shipping_address['premise'];?></ShipLine2>
  	<ShipCity><?php print $shipping_address['locality'];?></ShipCity>
  	<ShipStateProvinceCode><?php print $shipping_address['administrative_area'] ?></ShipStateProvinceCode>
  	<ShipPostalCode><?php print $shipping_address['postal_code']; ?></ShipPostalCode>
  	<ShipCountryCode><?php print $shipping_address['country']; ?></ShipCountryCode>
  	<ShipEmail><?php print $user->mail; ?></ShipEmail>
  </ShipToAddress>
  <?php  /* */ ?>
  <?php foreach ($order->commerce_line_items['und'] as $key=>$line_item) { ?>
  <?php if ($line_items[$line_item['line_item_id']]->type == 'product'): ?>
  <OrderItemDetail>
    <LineNumber><?php print $key+1; ?></LineNumber>
    <?php foreach ($line_items[$line_item['line_item_id']]->commerce_product['und'] as $product) { ?>
    <ProductSKU><?php print $products[$product['product_id']]->sku; ?></ProductSKU>
    <?php } ?>
    <Quantity><?php print $line_items[$line_item['line_item_id']]->quantity; ?></Quantity>
    <Price><?php print $products[$product['product_id']]->commerce_price[LANGUAGE_NONE][0]['amount']; ?></Price>
  </OrderItemDetail>
  <?php endif; ?>
  <?php } ?>
</PurchaseOrder>